<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Links</h1>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column is-two-thirds">
    <form class="form"
          name="form"
          novalidate>
      <div class="columns">

        <div class="column">
          <p class="control has-icon has-icon-right">
            <input ng-model="vm.currentLink.name"
                   class="input"
                   type="text"
                   name="linkName"
                   placeholder="Name"
                   ng-required="true"
                   required
                   autofocus>
            <i class="fa fa-warning"
               ng-if="form.linkName.$touched && !form.linkName.$valid">
            </i>
            <span class="help is-danger is-pulled-right"
                  ng-if="form.linkName.$touched && !form.linkName.$valid">
              Name ist erforderlich.
            </span>
          </p>
        </div>

        <div class="column">
          <p class="control has-icon has-icon-right">
            <input ng-model="vm.currentLink.url"
                   name="linkUrl"
                   class="input"
                   type="text"
                   placeholder="URL"
                   ng-required="true"
                   required>
            <i class="fa fa-warning"
               ng-if="form.linkUrl.$touched && !form.linkUrl.$valid">
            </i>
            <span class="help is-danger is-pulled-right"
                  ng-if="form.linkUrl.$touched && !form.linkUrl.$valid">
              URL ist erforderlich.
            </span>
          </p>
        </div>
        <div class="column">
          <p class="control is-grouped">
            <button type="button"
                  ng-if="!vm.isUpdating"
                  ng-click="vm.create()"
                  ng-disabled="!form.$valid"
                  class="button is-success">Speichern</button>
            <button type="button"
                  ng-if="vm.isUpdating"
                  ng-click="vm.update()"
                  class="button is-warning">Ändern</button>
            <button type="button"
                  ng-click="vm.reset()"
                  class="button">Abbrechen</button>
          </p>
        </div>

      </div>
    </form>
  </div><!-- .column -->

  <div class="column"></div>

</div>

<div class="columns">
  <div class="column">
  <table class="table">
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>URL</th>
        <th>Aktionen</th>
      </tr>
    </thead>
    <tbody>
      <tr ng-repeat="link in vm.links | orderBy:'':true track by $index">
        <td>{{link.id}}</td>
        <td>{{link.name}}</td>
        <td><a href="{{link.url}}" target="_blank">{{link.url}}</a></td>
        <td>
          <div class="btn-group" role="group" aria-label="aktionen">
            <button type="button"
                    class="button is-small"
                    ng-click="vm.edit($index, link)"
                    title="Link bearbeiten">
              <i class="fa fa-pencil" aria-hidden="true"></i>
            </button>
            <button type="button"
                    class="button is-small is-danger"
                    ng-click="vm.remove($index, link);"
                    title="Link löschen">
              <i class="fa fa-times" aria-hidden="true"></i>
            </button>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
  </div>
</div>

